import $ from 'jquery'

window.$ = $
window.jQuery = $

import Alpine from 'alpinejs'
window.Alpine = Alpine
Alpine.start()


function runAllConvert() {
    JavaneseConvert();
    SundaneseConvert();
    BugineseConvert();
    BalineseConvert();
    BatakConvert();
    LampungConvert();
    IncungConvert();
}

document.addEventListener('DOMContentLoaded', () => {
    const input = document.getElementById('aksara_latin');
    if (input) {
        input.addEventListener('input', runAllConvert);
    }
});